| Kea 3.0.2-git

isc::dhcp::CfgSharedNetworks6 Class Reference

Represents configuration of IPv6 shared networks. More...

`#include <cfg_shared_networks.h>`

Inheritance diagram for isc::dhcp::CfgSharedNetworks6:
[legend]

## Additional Inherited Members
Public Member Functions inherited from isc::dhcp::CfgSharedNetworks< SharedNetwork6Ptr, SharedNetwork6Collection >
void | add (const SharedNetwork6Ptr &network)
| Adds new shared network to the configuration.
void | del (const std::string &name)
| Deletes shared network from the configuration.
const SharedNetwork6Collection * | getAll () const
| Returns pointer to all configured shared networks.
SharedNetwork6Ptr | getByName (const std::string &name) const
| Retrieves shared network by name.
void | merge (CfgOptionDefPtr cfg_def, CfgSharedNetworks &other)
| Merges specified shared network configuration into this configuration.
virtual data::ElementPtr | toElement () const
| Unparses shared networks configuration.
Public Member Functions inherited from isc::data::CfgToElement
virtual | ~CfgToElement ()
| Destructor.
Protected Attributes inherited from isc::dhcp::CfgSharedNetworks< SharedNetwork6Ptr, SharedNetwork6Collection >
SharedNetwork6Collection | networks_
| Multi index container holding shared networks.

## Detailed Description

Represents configuration of IPv6 shared networks.

Definition at line 235 of file cfg_shared_networks.h.

The documentation for this class was generated from the following file:

- cfg_shared_networks.h